#ifndef ERRNO_BARRELFISH__
#define ERRNO_BARRELFISH__
/* Includes: */
 
#include <stdint.h>
#include <stdbool.h>
 
/* Type Declarations: */
 
typedef uintptr_t errval_t;
enum err_code {
    SYS_ERR_OK = 0,
    SYS_ERR_ILLEGAL_SYSCALL = 5,
    SYS_ERR_INVARGS_SYSCALL = 6,
    SYS_ERR_CALLER_ENABLED = 7,
    SYS_ERR_CALLER_DISABLED = 8,
    SYS_ERR_ILLEGAL_INVOCATION = 9,
    SYS_ERR_INVALID_USER_BUFFER = 10,
    SYS_ERR_LMP_NO_TARGET = 11,
    SYS_ERR_LMP_TARGET_DISABLED = 12,
    SYS_ERR_LMP_BUF_OVERFLOW = 13,
    SYS_ERR_LMP_EP_STATE_INVALID = 14,
    SYS_ERR_LMP_CAPTRANSFER_SRC_LOOKUP = 15,
    SYS_ERR_LMP_CAPTRANSFER_DST_CNODE_LOOKUP = 16,
    SYS_ERR_LMP_CAPTRANSFER_DST_CNODE_INVALID = 17,
    SYS_ERR_LMP_CAPTRANSFER_DST_SLOT_OCCUPIED = 18,
    SYS_ERR_LRPC_SLOT_INVALID = 19,
    SYS_ERR_LRPC_NOT_ENDPOINT = 20,
    SYS_ERR_INVALID_EPLEN = 21,
    SYS_ERR_IDC_MSG_BOUNDS = 22,
    SYS_ERR_CNODE_TYPE = 23,
    SYS_ERR_CNODE_RIGHTS = 24,
    SYS_ERR_DEPTH_EXCEEDED = 25,
    SYS_ERR_GUARD_MISMATCH = 26,
    SYS_ERR_CAP_NOT_FOUND = 27,
    SYS_ERR_IDENTIFY_LOOKUP = 28,
    SYS_ERR_SLOT_IN_USE = 29,
    SYS_ERR_SLOT_LOOKUP_FAIL = 30,
    SYS_ERR_GUARD_SIZE_OVERFLOW = 31,
    SYS_ERR_INVALID_SOURCE_TYPE = 32,
    SYS_ERR_ILLEGAL_DEST_TYPE = 33,
    SYS_ERR_SOURCE_CAP_LOOKUP = 34,
    SYS_ERR_DEST_CNODE_LOOKUP = 35,
    SYS_ERR_DEST_CNODE_INVALID = 36,
    SYS_ERR_ROOT_CAP_LOOKUP = 37,
    SYS_ERR_DEST_TYPE_INVALID = 38,
    SYS_ERR_INVALID_RETYPE = 39,
    SYS_ERR_REVOKE_FIRST = 40,
    SYS_ERR_INVALID_SIZE_BITS = 41,
    SYS_ERR_SLOTS_INVALID = 42,
    SYS_ERR_SLOTS_IN_USE = 43,
    SYS_ERR_RETYPE_CREATE = 44,
    SYS_ERR_NO_LOCAL_COPIES = 45,
    SYS_ERR_RETRY_THROUGH_MONITOR = 46,
    SYS_ERR_TYPE_NOT_CREATABLE = 47,
    SYS_ERR_DELETE_LAST_OWNED = 48,
    SYS_ERR_CAP_LOCKED = 49,
    SYS_ERR_RAM_CAP_CREATED = 1,
    SYS_ERR_VNODE_SLOT_INVALID = 50,
    SYS_ERR_WRONG_MAPPING = 51,
    SYS_ERR_FRAME_OFFSET_INVALID = 52,
    SYS_ERR_VNODE_SLOT_RESERVED = 53,
    SYS_ERR_VNODE_SLOT_INUSE = 54,
    SYS_ERR_VNODE_TYPE = 55,
    SYS_ERR_VNODE_LOOKUP_NEXT = 56,
    SYS_ERR_VNODE_NOT_INSTALLED = 57,
    SYS_ERR_VM_ALREADY_MAPPED = 58,
    SYS_ERR_VM_MAP_SIZE = 59,
    SYS_ERR_VM_MAP_OFFSET = 60,
    SYS_ERR_VM_RETRY_SINGLE = 61,
    SYS_ERR_IRQ_LOOKUP = 62,
    SYS_ERR_IRQ_NOT_ENDPOINT = 63,
    SYS_ERR_IRQ_NO_LISTENER = 64,
    SYS_ERR_IRQ_INVALID = 65,
    SYS_ERR_IRQ_NO_FREE_VECTOR = 66,
    SYS_ERR_IO_PORT_INVALID = 67,
    SYS_ERR_DISP_CSPACE_ROOT = 68,
    SYS_ERR_DISP_CSPACE_INVALID = 69,
    SYS_ERR_DISP_VSPACE_ROOT = 70,
    SYS_ERR_DISP_VSPACE_INVALID = 71,
    SYS_ERR_DISP_FRAME = 72,
    SYS_ERR_DISP_FRAME_INVALID = 73,
    SYS_ERR_DISP_NOT_RUNNABLE = 74,
    SYS_ERR_DISP_CAP_LOOKUP = 75,
    SYS_ERR_DISP_CAP_INVALID = 76,
    SYS_ERR_KERNEL_MEM_LOOKUP = 77,
    SYS_ERR_KERNEL_MEM_INVALID = 78,
    SYS_ERR_CORE_NOT_FOUND = 79,
    SYS_ERR_ARCHITECTURE_NOT_SUPPORTED = 80,
    SYS_ERR_INVALID_YIELD_TARGET = 81,
    SYS_ERR_DISP_OCAP_LOOKUP = 82,
    SYS_ERR_VMKIT_UNAVAIL = 83,
    SYS_ERR_VMKIT_VMCB = 84,
    SYS_ERR_VMKIT_VMCB_INVALID = 85,
    SYS_ERR_VMKIT_CTRL = 86,
    SYS_ERR_VMKIT_CTRL_INVALID = 87,
    SYS_ERR_VMKIT_ENDPOINT = 88,
    SYS_ERR_VMKIT_ENDPOINT_INVALID = 89,
    SYS_ERR_SERIAL_PORT_INVALID = 90,
    SYS_ERR_SERIAL_PORT_UNAVAILABLE = 91,
    SYS_ERR_PERFMON_NOT_AVAILABLE = 92,
    SYS_ERR_SYNC_MISS = 93,
    SYS_ERR_CROSS_MC = 94,
    SYS_ERR_ID_SPACE_EXHAUSTED = 95,
    SYS_ERR_I2C_UNINITIALIZED = 96,
    SYS_ERR_I2C_ZERO_LENGTH_MSG = 97,
    SYS_ERR_I2C_WAIT_FOR_BUS = 98,
    SYS_ERR_I2C_FAILURE = 99,
    SYS_ERR_KCB_NOT_FOUND = 100,
    CAPS_ERR_INVALID_ARGS = 101,
    CAPS_ERR_MDB_ALREADY_INITIALIZED = 102,
    CAPS_ERR_MDB_INVALID_STATE = 103,
    CAPS_ERR_MDB_INVARIANT_VIOLATION = 104,
    CAPS_ERR_MDB_DUPLICATE_ENTRY = 105,
    CAPS_ERR_MDB_ENTRY_NOTFOUND = 106,
    CAPS_ERR_CAP_NOT_FOUND = 107,
    LIB_ERR_WHILE_DELETING = 108,
    LIB_ERR_WHILE_FREEING_SLOT = 109,
    LIB_ERR_MALLOC_FAIL = 110,
    LIB_ERR_SLAB_ALLOC_FAIL = 111,
    LIB_ERR_SLAB_REFILL = 112,
    LIB_ERR_NOT_IMPLEMENTED = 113,
    LIB_ERR_SHOULD_NOT_GET_HERE = 114,
    LIB_ERR_NOT_CNODE = 115,
    LIB_ERR_FRAME_ALLOC = 116,
    LIB_ERR_FRAME_CREATE = 117,
    LIB_ERR_FRAME_CREATE_MS_CONSTRAINTS = 118,
    LIB_ERR_VNODE_CREATE = 119,
    LIB_ERR_CNODE_CREATE = 120,
    LIB_ERR_CNODE_CREATE_FROM_MEM = 121,
    LIB_ERR_RAM_ALLOC = 122,
    LIB_ERR_RAM_ALLOC_WRONG_SIZE = 123,
    LIB_ERR_RAM_ALLOC_MS_CONSTRAINTS = 124,
    LIB_ERR_CAP_MINT = 125,
    LIB_ERR_CAP_COPY = 126,
    LIB_ERR_CAP_RETYPE = 127,
    LIB_ERR_DEVFRAME_TYPE = 128,
    LIB_ERR_CAP_DELETE = 129,
    LIB_ERR_CAP_DESTROY = 130,
    LIB_ERR_CAP_INVOKE = 131,
    LIB_ERR_ENDPOINT_CREATE = 132,
    LIB_ERR_FRAME_IDENTIFY = 133,
    LIB_ERR_VNODE_MAP = 134,
    LIB_ERR_VNODE_UNMAP = 135,
    LIB_ERR_IDC_ENDPOINT_ALLOC = 136,
    LIB_ERR_SLOT_ALLOC_INIT = 137,
    LIB_ERR_SLOT_ALLOC_NO_SPACE = 138,
    LIB_ERR_SLOT_ALLOC_WRONG_CNODE = 139,
    LIB_ERR_SINGLE_SLOT_ALLOC_INIT_RAW = 140,
    LIB_ERR_SINGLE_SLOT_ALLOC_INIT = 141,
    LIB_ERR_MULTI_SLOT_ALLOC_INIT = 142,
    LIB_ERR_MULTI_SLOT_ALLOC_INIT_RAW = 143,
    LIB_ERR_SINGLE_SLOT_ALLOC = 144,
    LIB_ERR_SLOT_ALLOC = 145,
    LIB_ERR_SLOT_FREE = 146,
    LIB_ERR_SLOT_UNALLOCATED = 147,
    LIB_ERR_VSPACE_CURRENT_INIT = 148,
    LIB_ERR_VSPACE_INIT = 149,
    LIB_ERR_VSPACE_LAYOUT_INIT = 150,
    LIB_ERR_VSPACE_DESTROY = 151,
    LIB_ERR_VSPACE_REGION_OVERLAP = 152,
    LIB_ERR_VSPACE_ADD_REGION = 153,
    LIB_ERR_VSPACE_REMOVE_REGION = 154,
    LIB_ERR_VSPACE_PAGEFAULT_HANDER = 155,
    LIB_ERR_VSPACE_VREGION_NOT_FOUND = 156,
    LIB_ERR_VSPACE_PAGEFAULT_ADDR_NOT_FOUND = 157,
    LIB_ERR_VSPACE_PINNED_INIT = 158,
    LIB_ERR_VSPACE_PINNED_ALLOC = 159,
    LIB_ERR_VSPACE_PINNED_INVALID_TYPE = 160,
    LIB_ERR_VREGION_MAP = 161,
    LIB_ERR_VREGION_MAP_FIXED = 162,
    LIB_ERR_VREGION_NOT_FOUND = 163,
    LIB_ERR_VREGION_DESTROY = 164,
    LIB_ERR_VREGION_PAGEFAULT_HANDLER = 165,
    LIB_ERR_VREGION_BAD_ALIGNMENT = 166,
    LIB_ERR_MEMOBJ_CREATE_ANON = 167,
    LIB_ERR_MEMOBJ_CREATE_ONE_FRAME = 168,
    LIB_ERR_MEMOBJ_CREATE_ONE_FRAME_ONE_MAP = 169,
    LIB_ERR_MEMOBJ_CREATE_PINNED = 170,
    LIB_ERR_MEMOBJ_CREATE_VFS = 171,
    LIB_ERR_MEMOBJ_MAP_REGION = 172,
    LIB_ERR_MEMOBJ_UNMAP_REGION = 173,
    LIB_ERR_MEMOBJ_PIN_REGION = 174,
    LIB_ERR_MEMOBJ_UNPIN_REGION = 175,
    LIB_ERR_MEMOBJ_FILL = 176,
    LIB_ERR_MEMOBJ_PAGEFAULT_HANDLER = 177,
    LIB_ERR_MEMOBJ_PAGER_FREE = 178,
    LIB_ERR_MEMOBJ_WRONG_OFFSET = 179,
    LIB_ERR_MEMOBJ_FRAME_ALLOC = 180,
    LIB_ERR_MEMOBJ_VREGION_ALREADY_MAPPED = 181,
    LIB_ERR_MEMOBJ_UNFILL_TOO_HIGH_OFFSET = 182,
    LIB_ERR_MEMOBJ_PROTECT = 183,
    LIB_ERR_MEMOBJ_DUPLICATE_FILL = 184,
    LIB_ERR_PMAP_INIT = 185,
    LIB_ERR_PMAP_CURRENT_INIT = 186,
    LIB_ERR_PMAP_DETERMINE_ADDR = 187,
    LIB_ERR_PMAP_DO_MAP = 188,
    LIB_ERR_PMAP_MAP = 189,
    LIB_ERR_PMAP_DO_SINGLE_MAP = 190,
    LIB_ERR_PMAP_UNMAP = 191,
    LIB_ERR_PMAP_DO_SINGLE_UNMAP = 192,
    LIB_ERR_PMAP_MODIFY_FLAGS = 193,
    LIB_ERR_PMAP_GET_PTABLE = 194,
    LIB_ERR_PMAP_ALLOC_VNODE = 195,
    LIB_ERR_PMAP_ADDR_NOT_FREE = 196,
    LIB_ERR_PMAP_FIND_VNODE = 197,
    LIB_ERR_PMAP_EXISTING_MAPPING = 198,
    LIB_ERR_OUT_OF_VIRTUAL_ADDR = 199,
    LIB_ERR_SERIALISE_BUFOVERFLOW = 200,
    LIB_ERR_VSPACE_MAP = 201,
    LIB_ERR_VSPACE_MMU_AWARE_INIT = 202,
    LIB_ERR_VSPACE_MMU_AWARE_MAP = 203,
    LIB_ERR_VSPACE_MMU_AWARE_NO_SPACE = 204,
    LIB_ERR_INVOKE_PERFMON_SETUP = 205,
    LIB_ERR_INVOKE_PERFMON_WRITE = 206,
    LIB_ERR_CORESET_NEW = 207,
    LIB_ERR_CORESET_GET_NEXT_DONE = 208,
    LIB_ERR_NO_LMP_MSG = 209,
    LIB_ERR_LMP_RECV_BUF_OVERFLOW = 210,
    LIB_ERR_NO_UMP_MSG = 211,
    LIB_ERR_UMP_CHAN_FULL = 212,
    LIB_ERR_LMP_BUFLEN_INVALID = 213,
    LIB_ERR_NO_ENDPOINT_SPACE = 214,
    LIB_ERR_UMP_BUFSIZE_INVALID = 215,
    LIB_ERR_UMP_BUFADDR_INVALID = 216,
    LIB_ERR_UMP_FRAME_OVERFLOW = 217,
    LIB_ERR_LMP_ENDPOINT_REGISTER = 218,
    LIB_ERR_CHAN_REGISTER_SEND = 219,
    LIB_ERR_CHAN_DEREGISTER_SEND = 220,
    LIB_ERR_CHAN_REGISTER_RECV = 221,
    LIB_ERR_CHAN_DEREGISTER_RECV = 222,
    LIB_ERR_LMP_CHAN_INIT = 223,
    LIB_ERR_UMP_CHAN_INIT = 224,
    LIB_ERR_LMP_CHAN_RECV = 225,
    LIB_ERR_UMP_CHAN_RECV = 226,
    LIB_ERR_LMP_CHAN_SEND = 227,
    LIB_ERR_LMP_CHAN_BIND = 228,
    LIB_ERR_UMP_CHAN_BIND = 229,
    LIB_ERR_LMP_CHAN_ACCEPT = 230,
    LIB_ERR_UMP_CHAN_ACCEPT = 231,
    LIB_ERR_LMP_ALLOC_RECV_SLOT = 232,
    LIB_ERR_LMP_NOT_CONNECTED = 233,
    LIB_ERR_MSGBUF_OVERFLOW = 234,
    LIB_ERR_MSGBUF_CANNOT_GROW = 235,
    LIB_ERR_RCK_NOTIFY = 236,
    LIB_ERR_IPI_NOTIFY = 237,
    LIB_ERR_MONITOR_CLIENT_BIND = 238,
    LIB_ERR_MONITOR_CLIENT_ACCEPT = 239,
    LIB_ERR_NAMESERVICE_NOT_BOUND = 240,
    LIB_ERR_NAMESERVICE_UNKNOWN_NAME = 241,
    LIB_ERR_NAMESERVICE_INVALID_NAME = 242,
    LIB_ERR_BIND_LMP_REQ = 243,
    LIB_ERR_BIND_UMP_REQ = 244,
    LIB_ERR_BIND_LMP_REPLY = 245,
    LIB_ERR_BIND_UMP_REPLY = 246,
    LIB_ERR_NO_LMP_BIND_HANDLER = 247,
    LIB_ERR_NO_UMP_BIND_HANDLER = 248,
    LIB_ERR_MONITOR_CAP_SEND = 249,
    LIB_ERR_MONITOR_RPC_BIND = 250,
    LIB_ERR_MONITOR_RPC_NULL = 251,
    LIB_ERR_BIND_MULTIHOP_REQ = 252,
    LIB_ERR_NO_MULTIHOP_BIND_HANDLER = 253,
    LIB_ERR_BIND_MULTIHOP_SAME_CORE = 254,
    LIB_ERR_BULK_UNKNOWN_ID = 255,
    LIB_ERR_NO_SPANNED_DISP = 256,
    LIB_ERR_SEND_RUN_FUNC_REQUEST = 257,
    LIB_ERR_SEND_CAP_REQUEST = 258,
    LIB_ERR_CAP_COPY_FAIL = 259,
    LIB_ERR_CAP_DELETE_FAIL = 260,
    LIB_ERR_RAM_ALLOC_SET = 261,
    LIB_ERR_MORECORE_INIT = 262,
    LIB_ERR_MONITOR_CLIENT_INIT = 263,
    LIB_ERR_MONITOR_CLIENT_CONNECT = 264,
    LIB_ERR_TERMINAL_INIT = 265,
    LIB_ERR_DOMAIN_INIT = 266,
    LIB_ERR_GET_MON_BLOCKING_IREF = 267,
    LIB_ERR_GET_MEM_IREF = 268,
    LIB_ERR_GET_NAME_IREF = 269,
    LIB_ERR_GET_RAMFS_IREF = 270,
    LIB_ERR_NAMESERVICE_CLIENT_INIT = 271,
    LIB_ERR_THREAD_CREATE = 272,
    LIB_ERR_THREAD_JOIN = 273,
    LIB_ERR_THREAD_JOIN_DETACHED = 274,
    LIB_ERR_THREAD_DETACHED = 275,
    LIB_ERR_CHAN_ALREADY_REGISTERED = 276,
    LIB_ERR_CHAN_NOT_REGISTERED = 277,
    LIB_ERR_WAITSET_IN_USE = 278,
    LIB_ERR_WAITSET_CHAN_CANCEL = 279,
    LIB_ERR_NO_EVENT = 280,
    LIB_ERR_EVENT_DISPATCH = 281,
    LIB_ERR_EVENT_ALREADY_RUN = 282,
    LIB_ERR_EVENT_QUEUE_EMPTY = 283,
    LIB_ERR_SEGBASE_OVER_4G_LIMIT = 284,
    LIB_ERR_LDT_FULL = 285,
    LIB_ERR_LDT_SELECTOR_INVALID = 286,
    FLOUNDER_ERR_INVALID_STATE = 287,
    FLOUNDER_ERR_TX_BUSY = 288,
    FLOUNDER_ERR_RX_EMPTY_MSG = 289,
    FLOUNDER_ERR_RX_INVALID_MSGNUM = 290,
    FLOUNDER_ERR_RX_INVALID_LENGTH = 291,
    FLOUNDER_ERR_BUF_RECV_MORE = 292,
    FLOUNDER_ERR_BUF_SEND_MORE = 293,
    FLOUNDER_ERR_GENERIC_BIND_NO_MORE_DRIVERS = 294,
    FLOUNDER_ERR_CHANGE_WAITSET = 295,
    FLOUNDER_ERR_CHANGE_MONITOR_WAITSET = 296,
    FLOUNDER_ERR_UMP_ALLOC_NOTIFY = 297,
    FLOUNDER_ERR_UMP_STORE_NOTIFY = 298,
    FLOUNDER_ERR_BIND = 299,
    FLOUNDER_ERR_CREATE_MSG = 300,
    FLOUNDER_ERR_MARSHALLING = 301,
    FLOUNDER_ERR_DEMARSHALLING = 302,
    FLOUNDER_ERR_RPC_MISMATCH = 303,
    CHIPS_ERR_GET_SERVICE_REFERENCE = 304,
    CHIPS_ERR_GET_SERVICE_IREF = 305,
    CHIPS_ERR_UNKNOWN_NAME = 306,
    CHIPS_ERR_EXISTS = 307,
    CHIPS_ERR_GET_CAP = 308,
    CHIPS_ERR_PUT_CAP = 309,
    CHIPS_ERR_REMOVE_CAP = 310,
    CHIPS_ERR_OUT_OF_SEMAPHORES = 311,
    BCAST_ERR_SEND = 312,
    BCAST_ERR_SEND_SSF = 313,
    MON_CLIENT_ERR_SPAN_DOMAIN_REQUEST = 314,
    MON_CLIENT_ERR_URPC_BLOCK = 315,
    MON_ERR_IDC_BIND_NOT_SAME_CORE = 316,
    MON_ERR_INVALID_CORE_ID = 317,
    MON_ERR_INVALID_IREF = 318,
    MON_ERR_IREF_ALLOC = 319,
    MON_ERR_SPAN_STATE_ALLOC = 320,
    MON_ERR_SEND_REMOTE_MSG = 321,
    MON_ERR_INVALID_MON_ID = 322,
    MON_ERR_NO_MONITOR_FOR_CORE = 323,
    MON_ERR_CAP_IDENTIFY = 324,
    MON_ERR_CAP_CREATE = 325,
    MON_ERR_CAP_REMOTE = 326,
    MON_ERR_CAP_FOREIGN = 327,
    MON_ERR_CAP_MOVE = 328,
    MON_ERR_RCAP_DB_NOT_FOUND = 329,
    MON_ERR_RCAP_DB_LOCK = 330,
    MON_ERR_RCAP_DB_UNLOCK = 331,
    MON_ERR_RCAP_DB_ADD = 332,
    MON_ERR_SAME_CORE = 333,
    MON_ERR_REMOTE_CAP_NEED_REVOKE = 334,
    MON_ERR_REMOTE_CAP_RETRY = 335,
    MON_ERR_SPAWN_CORE = 336,
    MON_ERR_SPAWN_DOMAIN = 337,
    MON_ERR_INTERN_NEW_MONITOR = 338,
    MON_ERR_CAP_SEND = 339,
    MON_ERR_CAP_SEND_TRANSIENT = 340,
    MON_ERR_ROUTE_SET = 341,
    MON_ERR_SPAN_DOMAIN = 342,
    MON_ERR_MAP_URPC_CHAN = 343,
    MON_ERR_RAM_ALLOC_ERR = 344,
    MON_ERR_RAM_ALLOC_RETERR = 345,
    MON_ERR_MULTICAST_PAGE_MAP = 346,
    MON_ERR_WRONG_CAP_TYPE = 347,
    MON_ERR_INTERN_SET = 348,
    MON_ERR_ROUTE_RESET = 349,
    MON_ERR_MAP_MULTIBOOT = 350,
    MON_ERR_UNICAST_SET = 351,
    MON_ERR_MULTICAST_SET = 352,
    MON_ERR_BCAST_INIT = 353,
    MON_ERR_BCAST_CONNECT = 354,
    MON_ERR_CCAST_INIT = 355,
    MON_ERR_CCAST_CONNECT = 356,
    MON_ERR_UNICAST_CONNECT = 357,
    MON_ERR_MULTICAST_CONNECT = 358,
    MON_ERR_UNICAST_INIT = 359,
    MON_ERR_MULTICAST_INIT = 360,
    MON_ERR_SPAWN_XCORE_MONITOR = 361,
    MON_ERR_INCOMPLETE_ROUTE = 362,
    MON_ERR_RSRC_ALLOC = 363,
    MON_ERR_RSRC_MEMBER_LIMIT = 364,
    MON_ERR_RSRC_ILL_MANIFEST = 365,
    MON_ERR_RSRC_NOT_FOUND = 366,
    MON_ERR_CAPOPS_BUSY = 367,
    MON_ERR_INVOKE_IRQ_ALLOCATE = 368,
    MON_ERR_INVOKE_IRQ_SET = 369,
    ROUTE_ERR_NEW_ROUTE = 370,
    ROUTE_ERR_EXPORT = 371,
    ROUTE_ERR_LOOKUP = 372,
    ROUTE_ERR_BIND = 373,
    ROUTE_ERR_CORE_NOT_FOUND = 374,
    ROUTE_ERR_SET_EXPECTED = 375,
    ROUTE_ERR_SEND = 376,
    ROUTE_ERR_NO_SLOTS = 377,
    ROUTE_ERR_WRONG_GROUP_ID = 378,
    ROUTE_ERR_CALL_INIT = 379,
    ROUTE_ERR_CREATE_GROUP_RPC = 380,
    ROUTE_ERR_SET_GROUP_RPC = 381,
    ROUTE_ERR_GET_GROUP_RPC = 382,
    ROUTE_ERR_ALLOC_NID_RPC = 383,
    SPAWN_ERR_LOAD = 384,
    SPAWN_ERR_SPAN = 385,
    SPAWN_ERR_RUN = 386,
    SPAWN_ERR_VSPACE_MAP = 387,
    SPAWN_ERR_GET_CMDLINE_ARGS = 388,
    SPAWN_ERR_SETUP_ENV = 389,
    SPAWN_ERR_UNKNOWN_TARGET_ARCH = 390,
    SPAWN_ERR_UNSUPPORTED_TARGET_ARCH = 391,
    SPAWN_ERR_SETUP_CSPACE = 392,
    SPAWN_ERR_DETERMINE_CPUTYPE = 393,
    SPAWN_ERR_VSPACE_INIT = 394,
    SPAWN_ERR_SETUP_DISPATCHER = 395,
    SPAWN_ERR_ELF_MAP = 396,
    SPAWN_ERR_SET_CAPS = 397,
    SPAWN_ERR_MONITOR_CLIENT = 398,
    SPAWN_ERR_FREE = 399,
    SPAWN_ERR_CREATE_ROOTCN = 400,
    SPAWN_ERR_CREATE_TASKCN = 401,
    SPAWN_ERR_MINT_TASKCN = 402,
    SPAWN_ERR_CREATE_PAGECN = 403,
    SPAWN_ERR_CREATE_VNODE = 404,
    SPAWN_ERR_COPY_VNODE = 405,
    SPAWN_ERR_CREATE_DISPATCHER = 406,
    SPAWN_ERR_CREATE_DISPATCHER_FRAME = 407,
    SPAWN_ERR_CREATE_SELFEP = 408,
    SPAWN_ERR_CREATE_ARGSPG = 409,
    SPAWN_ERR_CREATE_FDSPG = 410,
    SPAWN_ERR_MINT_ROOTCN = 411,
    SPAWN_ERR_CREATE_SLOTALLOC_CNODE = 412,
    SPAWN_ERR_MAP_DISPATCHER_TO_NEW = 413,
    SPAWN_ERR_MAP_DISPATCHER_TO_SELF = 414,
    SPAWN_ERR_MAP_ARGSPG_TO_NEW = 415,
    SPAWN_ERR_MAP_ARGSPG_TO_SELF = 416,
    SPAWN_ERR_MAP_FDSPG_TO_NEW = 417,
    SPAWN_ERR_MAP_FDSPG_TO_SELF = 418,
    SPAWN_ERR_FILL_SMALLCN = 419,
    SPAWN_ERR_MAP_BOOTINFO = 420,
    SPAWN_ERR_FIND_MODULE = 421,
    SPAWN_ERR_MAP_MODULE = 422,
    SPAWN_ERR_CREATE_SEGCN = 423,
    SPAWN_ERR_CREATE_SMALLCN = 424,
    SPAWN_ERR_ARGSPG_OVERFLOW = 425,
    SPAWN_ERR_SERIALISE_VSPACE = 426,
    SPAWN_ERR_SETUP_INHERITED_CAPS = 427,
    SPAWN_ERR_SETUP_ARGCN = 428,
    SPAWN_ERR_COPY_ARGCN = 429,
    SPAWN_ERR_SETUP_FDCAP = 430,
    SPAWN_ERR_FDSPG_OVERFLOW = 431,
    SPAWN_ERR_SETUP_SIDCAP = 432,
    SPAWN_ERR_SETUP_KERNEL_CAP = 433,
    SPAWN_ERR_DELETE_ROOTCN = 434,
    SPAWN_ERR_FREE_ROOTCN = 435,
    SPAWN_ERR_DELETE_TASKCN = 436,
    SPAWN_ERR_FREE_TASKCN = 437,
    SPAWN_ERR_COPY_PACN = 438,
    SPAWN_ERR_COPY_MODULECN = 439,
    SPAWN_ERR_COPY_IRQ_CAP = 440,
    SPAWN_ERR_COPY_IO_CAP = 441,
    SPAWN_ERR_COPY_PERF_MON = 442,
    SPAWN_ERR_COPY_KERNEL_CAP = 443,
    SPAWN_ERR_COPY_INHERITCN_CAP = 444,
    SPAWN_ERR_DISPATCHER_SETUP = 445,
    SPAWN_ERR_DOMAIN_ALLOCATE = 446,
    SPAWN_ERR_DOMAIN_NOTFOUND = 447,
    SPAWN_ERR_DOMAIN_RUNNING = 448,
    SPAWN_ERR_FIND_SPAWNDS = 449,
    SPAWN_ERR_MALFORMED_SPAWND_RECORD = 450,
    ELF_ERR_FILESZ = 451,
    ELF_ERR_HEADER = 452,
    ELF_ERR_PROGHDR = 453,
    ELF_ERR_ALLOCATE = 454,
    ELF_ERR_NOT_PAGE_ALIGNED = 455,
    MM_ERR_FIND_NODE = 456,
    MM_ERR_CHUNK_NODE = 457,
    MM_ERR_SLOT_MM_ALLOC = 458,
    MM_ERR_SLOT_NOSLOTS = 459,
    MM_ERR_SLOT_ALLOC_INIT = 460,
    MM_ERR_MM_INIT = 461,
    MM_ERR_MM_ADD = 462,
    MM_ERR_MM_FREE = 463,
    MM_ERR_NEW_NODE = 464,
    MM_ERR_OUT_OF_BOUNDS = 465,
    MM_ERR_ALREADY_PRESENT = 466,
    MM_ERR_ALREADY_ALLOCATED = 467,
    MM_ERR_NOT_FOUND = 468,
    MM_ERR_MISSING_CAPS = 469,
    MM_ERR_CHUNK_SLOT_ALLOC = 470,
    MM_ERR_RESIZE_NODE = 471,
    MM_ERR_REALLOC_RANGE = 472,
    INIT_ERR_SPAWN_MEM_SERV = 473,
    INIT_ERR_INIT_MEM_SERV = 474,
    INIT_ERR_SPAWN_MONITOR = 475,
    INIT_ERR_INIT_MONITOR = 476,
    INIT_ERR_COPY_EP_TO_MEM_SERV = 477,
    INIT_ERR_COPY_EP_TO_MONITOR = 478,
    INIT_ERR_SETUP_MONITOR_CHAN = 479,
    INIT_ERR_SETUP_MEM_SERV_CHAN = 480,
    INIT_ERR_RUN_MONITOR = 481,
    INIT_ERR_RUN_MEM_SERV = 482,
    INIT_ERR_FREE_MONITOR = 483,
    INIT_ERR_FREE_MEM_SERV = 484,
    INIT_ERR_COPY_SUPERCN_CAP = 485,
    INIT_ERR_MAP_BOOTINFO = 486,
    INIT_ERR_COPY_KERNEL_CAP = 487,
    INIT_ERR_COPY_IPI = 488,
    INIT_ERR_COPY_PERF_MON = 489,
    INIT_ERR_COPY_MODULECN_CAP = 490,
    INIT_ERR_COPY_PACN_CAP = 491,
    INIT_ERR_COPY_IRQ_CAP = 492,
    INIT_ERR_COPY_IO_CAP = 493,
    INIT_ERR_COPY_UMP_CAP = 494,
    INIT_ERR_NO_MATCHING_RAM_CAP = 495,
    CONT_ERR_NO_MORE_SLOTS = 496,
    ETHERSRV_ERR_TOO_MANY_BUFFERS = 497,
    ETHERSRV_ERR_TOO_MANY_VNICS = 498,
    ETHERSRV_ERR_BUFFER_NOT_FOUND = 499,
    ETHERSRV_ERR_NOT_ENOUGH_MEM = 500,
    ETHERSRV_ERR_CANT_TRANSMIT = 501,
    ETHERSRV_ERR_INVALID_STATE = 502,
    ETHERSRV_ERR_FRAME_CAP_MAP = 503,
    PORT_ERR_NOT_ENOUGH_MEMORY = 504,
    PORT_ERR_NO_MORE_PORT = 505,
    PORT_ERR_IN_USE = 506,
    PORT_ERR_REDIRECT = 507,
    PORT_ERR_NOT_FOUND = 508,
    FILTER_ERR_NOT_ENOUGH_MEMORY = 509,
    FILTER_ERR_BUFF_NOT_FOUND = 510,
    FILTER_ERR_FILTER_BUSY = 511,
    FILTER_ERR_NO_NETD_MEM = 512,
    FILTER_ERR_FILTER_NOT_FOUND = 513,
    FILTER_ERR_BUFFER_NOT_FOUND = 514,
    TERM_ERR_TERMINAL_IN_USE = 515,
    TERM_ERR_NOT_PART_OF_SESSION = 516,
    TERM_ERR_EXPORT_SESSION_INTERFACE = 517,
    TERM_ERR_REGISTER_SESSION_INTERFACE = 518,
    TERM_ERR_EXPORT_OUT_INTERFACE = 519,
    TERM_ERR_EXPORT_IN_INTERFACE = 520,
    TERM_ERR_EXPORT_CONF_INTERFACE = 521,
    TERM_ERR_ASSOCIATE_WITH_TERM_REPLY = 522,
    TERM_ERR_RECV_CHARS = 523,
    TERM_ERR_SEND_CHARS = 524,
    TERM_ERR_RECV_CONFIGURATION = 525,
    TERM_ERR_FILTER_NOT_FOUND = 526,
    TERM_ERR_TRIGGER_NOT_FOUND = 527,
    TERM_ERR_LOOKUP_SESSION_RECORD = 528,
    TERM_ERR_PARSE_SESSION_RECORD = 529,
    TERM_ERR_BIND_IN_INTERFACE = 530,
    TERM_ERR_BIND_OUT_INTERFACE = 531,
    TERM_ERR_BIND_CONF_INTERFACE = 532,
    TERM_ERR_IO = 533,
    TERM_ERR_TX_BUSY = 534,
    TERM_ERR_UNKNOWN_CONFIG_OPT = 535,
    TERM_ERR_CHANGE_WAITSET = 536,
    ANGLER_ERR_LOOKUP_TERMINAL = 537,
    ANGLER_ERR_CREATE_SESSIONID = 538,
    ANGLER_ERR_BIND_TERMINAL = 539,
    ANGLER_ERR_INIT_RPCCLIENT = 540,
    ANGLER_ERR_ASSOCIATE_WITH_TERMINAL = 541,
    ANGLER_ERR_STORE_SESSION_STATE = 542,
    TRACE_ERR_SUBSYS_DISABLED = 2,
    TRACE_ERR_NO_BUFFER = 543,
    TRACE_ERR_MAP_BUF = 544,
    TRACE_ERR_CREATE_CAP = 545,
    TRACE_ERR_CAP_COPY = 546,
    TRACE_ERR_KERNEL_INVOKE = 547,
    DRIVERKIT_NO_CAP_FOUND = 548,
    PCI_ERR_IOAPIC_INIT = 549,
    PCI_ERR_MINT_IOCAP = 550,
    PCI_ERR_ROUTING_IRQ = 551,
    PCI_ERR_IRQTABLE_SET = 552,
    PCI_ERR_UNKNOWN_GSI = 553,
    PCI_ERR_INVALID_VECTOR = 554,
    PCI_ERR_DEVICE_INIT = 555,
    PCI_ERR_MEM_ALLOC = 556,
    PCI_ERR_WRONG_INDEX = 557,
    PCI_ERR_MSIX_NOTSUP = 558,
    PCI_ERR_MSIX_BADVECTOR = 559,
    PCI_ERR_MSIX_DISABLED = 560,
    ACPI_ERR_NO_MCFG_TABLE = 561,
    ACPI_ERR_INVALID_PATH_NAME = 562,
    ACPI_ERR_GET_RESOURCES = 563,
    ACPI_ERR_SET_IRQ = 564,
    ACPI_ERR_NO_MADT_TABLE = 565,
    SKB_ERR_CONVERSION_ERROR = 566,
    SKB_ERR_EXECUTION = 567,
    SKB_ERR_EVALUATE = 568,
    SKB_ERR_RUN = 569,
    SKB_ERR_GOAL_FAILURE = 570,
    SKB_ERR_UNEXPECTED_OUTPUT = 571,
    SKB_ERR_IO_OUTPUT = 3,
    FS_ERR_INVALID_FH = 572,
    FS_ERR_NOTDIR = 573,
    FS_ERR_NOTFILE = 574,
    FS_ERR_INDEX_BOUNDS = 575,
    FS_ERR_NOTFOUND = 576,
    FS_ERR_EXISTS = 577,
    FS_ERR_NOTEMPTY = 578,
    FS_ERR_BULK_NOT_INIT = 579,
    FS_ERR_BULK_ALREADY_INIT = 580,
    VFS_ERR_EOF = 4,
    VFS_ERR_BAD_MOUNTPOINT = 581,
    VFS_ERR_MOUNTPOINT_IN_USE = 582,
    VFS_ERR_BAD_URI = 583,
    VFS_ERR_UNKNOWN_FILESYSTEM = 584,
    VFS_ERR_MOUNTPOINT_NOTFOUND = 585,
    VFS_ERR_NOT_SUPPORTED = 586,
    VFS_ERR_IN_OPEN = 587,
    VFS_ERR_IN_STAT = 588,
    VFS_ERR_IN_READ = 589,
    VFS_ERR_BCACHE_LIMIT = 590,
    NFS_ERR_TRANSPORT = 591,
    NFS_ERR_MNT_PERM = 592,
    NFS_ERR_MNT_NOENT = 593,
    NFS_ERR_MNT_IO = 594,
    NFS_ERR_MNT_ACCES = 595,
    NFS_ERR_MNT_NOTDIR = 596,
    NFS_ERR_MNT_INVAL = 597,
    NFS_ERR_MNT_NAMETOOLONG = 598,
    NFS_ERR_MNT_NOTSUPP = 599,
    NFS_ERR_MNT_SERVERFAULT = 600,
    NFS_ERR_PERM = 601,
    NFS_ERR_NOENT = 602,
    NFS_ERR_IO = 603,
    NFS_ERR_NXIO = 604,
    NFS_ERR_ACCES = 605,
    NFS_ERR_EXIST = 606,
    NFS_ERR_XDEV = 607,
    NFS_ERR_NODEV = 608,
    NFS_ERR_NOTDIR = 609,
    NFS_ERR_ISDIR = 610,
    NFS_ERR_INVAL = 611,
    NFS_ERR_FBIG = 612,
    NFS_ERR_NOSPC = 613,
    NFS_ERR_ROFS = 614,
    NFS_ERR_MLINK = 615,
    NFS_ERR_NAMETOOLONG = 616,
    NFS_ERR_NOTEMPTY = 617,
    NFS_ERR_DQUOT = 618,
    NFS_ERR_STALE = 619,
    NFS_ERR_REMOTE = 620,
    NFS_ERR_BADHANDLE = 621,
    NFS_ERR_NOT_SYNC = 622,
    NFS_ERR_BAD_COOKIE = 623,
    NFS_ERR_NOTSUPP = 624,
    NFS_ERR_TOOSMALL = 625,
    NFS_ERR_SERVERFAULT = 626,
    NFS_ERR_BADTYPE = 627,
    NFS_ERR_JUKEBOX = 628,
    LWIP_ERR_MEM = 629,
    LWIP_ERR_BUF = 630,
    LWIP_ERR_TIMEOUT = 631,
    LWIP_ERR_RTE = 632,
    LWIP_ERR_ABRT = 633,
    LWIP_ERR_RST = 634,
    LWIP_ERR_CLSD = 635,
    LWIP_ERR_CONN = 636,
    LWIP_ERR_VAL = 637,
    LWIP_ERR_ARG = 638,
    LWIP_ERR_USE = 639,
    LWIP_ERR_IF = 640,
    LWIP_ERR_ISCONN = 641,
    LWIP_ERR_INPROGRESS = 642,
    LWIP_ERR_TXFULL = 643,
    DIST_ERR_NS_REG = 644,
    DIST_ERR_NS_LOOKUP = 645,
    OCT_ERR_NO_RECORD = 646,
    OCT_ERR_NO_RECORD_NAME = 647,
    OCT_ERR_CONSTRAINT_MISMATCH = 648,
    OCT_ERR_QUERY_SIZE = 649,
    OCT_ERR_INVALID_FORMAT = 650,
    OCT_ERR_UNKNOWN_ATTRIBUTE = 651,
    OCT_ERR_UNSUPPORTED_BINDING = 652,
    OCT_ERR_PARSER_FAIL = 653,
    OCT_ERR_ENGINE_FAIL = 654,
    OCT_ERR_NO_SUBSCRIPTION = 655,
    OCT_ERR_NO_SUBSCRIBERS = 656,
    OCT_ERR_MAX_SUBSCRIPTIONS = 657,
    OCT_ERR_INVALID_ID = 658,
    OCT_ERR_CAP_NAME_UNKNOWN = 659,
    OCT_ERR_CAP_OVERWRITE = 660,
    OCT_ERR_IDCAP_INVOKE = 661,
    KALUGA_ERR_PARSE_MODULES = 662,
    KALUGA_ERR_MODULE_NOT_FOUND = 663,
    KALUGA_ERR_DRIVER_ALREADY_STARTED = 664,
    KALUGA_ERR_DRIVER_NOT_AUTO = 665,
    KALUGA_ERR_WAITING_FOR_ACPI = 666,
    KALUGA_ERR_QUERY_LOCAL_APIC = 667,
    THC_CANCELED = 668,
    MS_ERR_SKB = 669,
    MS_ERR_INIT_PEERS = 670,
    STARTD_ERR_BOOTMODULES = 671,
    LOX_ERR_INIT_LOCKS = 672,
    LOX_ERR_NO_LOCKS = 673,
    VBE_ERR_MODE_NOT_FOUND = 674,
    VBE_ERR_BIOS_CALL_FAILED = 675,
    AHCI_ERR_PORT_INVALID = 676,
    AHCI_ERR_PORT_BUSY = 677,
    AHCI_ERR_PORT_MISMATCH = 678,
    AHCI_ERR_NO_FREE_PRD = 679,
    AHCI_ERR_ILLEGAL_ARGUMENT = 680,
    SATA_ERR_INVALID_TYPE = 681,
    MMC_ERR_TRANSFER = 682,
    MMC_ERR_READ_READY = 683,
    MMC_ERR_WRITE_READY = 684,
    FAT_ERR_BAD_FS = 685,
    FS_CACHE_FULL = 686,
    FS_CACHE_NOTPRESENT = 687,
    FS_CACHE_CONFLICT = 688,
    OMAP_SDMA_ERR_NO_AVAIL_CHANNEL = 689,
    OMAP_SDMA_ERR_TRANSACTION = 690,
    OMAP_SDMA_ERR_SUPERVISOR = 691,
    OMAP_SDMA_ERR_MISALIGNED_ADDRESS = 692,
    OMAP_SDMA_ERR_HARDWARE_LIMIT_SIZE = 693,
    OMAP_SDMA_ERR_HARDWARE_LIMIT_ADDR = 694,
    OMAP_SDMA_ERR_OUT_OF_BOUNDS = 695,
    OMAP_SDMA_ERR_CAP_LOOKUP = 696,
    ERR_NOTIMP = 697,
    BULK_TRANSFER_MEM = 698,
    BULK_TRANSFER_NO_CALLBACK = 699,
    BULK_TRANSFER_CHAN_CREATE = 700,
    BULK_TRANSFER_CHAN_BIND = 701,
    BULK_TRANSFER_CHAN_ASSIGN_POOL = 702,
    BULK_TRANSFER_CHAN_STATE = 703,
    BULK_TRANSFER_CHAN_TRUST = 704,
    BULK_TRANSFER_CHAN_INVALID_EP = 705,
    BULK_TRANSFER_CHAN_DIRECTION = 706,
    BULK_TRANSFER_POOL_INVALD = 707,
    BULK_TRANSFER_POOL_NOT_ASSIGNED = 708,
    BULK_TRANSFER_POOL_ASSIGN_VETO = 709,
    BULK_TRANSFER_POOL_MAP = 710,
    BULK_TRANSFER_POOL_UNMAP = 711,
    BULK_TRANSFER_POOL_ALREADY_ASSIGNED = 712,
    BULK_TRANSFER_POOL_ALREADY_REMAPPED = 713,
    BULK_TRANSFER_BUFFER_NOT_OWNED = 714,
    BULK_TRANSFER_BUFFER_INVALID = 715,
    BULK_TRANSFER_BUFFER_ALREADY_MAPPED = 716,
    BULK_TRANSFER_BUFFER_STATE = 717,
    BULK_TRANSFER_BUFFER_REFCOUNT = 718,
    BULK_TRANSFER_BUFFER_NOT_A_COPY = 719,
    BULK_TRANSFER_BUFFER_MAP = 720,
    BULK_TRANSFER_BUFFER_UNMAP = 721,
    BULK_TRANSFER_ALLOC_BUFFER_SIZE = 722,
    BULK_TRANSFER_ALLOC_BUFFER_COUNT = 723,
    BULK_TRANSFER_INVALID_ARGUMENT = 724,
    BULK_TRANSFER_SM_NO_PENDING_MSG = 725,
    BULK_TRANSFER_SM_EXCLUSIVE_WS = 726,
    BULK_TRANSFER_NET_MAX_QUEUES = 727,
    BULK_TRANSFER_NET_POOL_USED = 728,
    VIRTIO_ERR_SIZE_INVALID = 729,
    VIRTIO_ERR_MAX_INDIRECT = 730,
    VIRTIO_ERR_CAP_SIZE = 731,
    VIRTIO_ERR_QUEUE_FULL = 732,
    VIRTIO_ERR_QUEUE_EMPTY = 733,
    VIRTIO_ERR_BACKEND = 734,
    VIRTIO_ERR_DEVICE_REGISTER = 735,
    VIRTIO_ERR_NOT_VIRTIO_DEVICE = 736,
    VIRTIO_ERR_VERSION_MISMATCH = 737,
    VIRTIO_ERR_DEVICE_STATUS = 738,
    VIRTIO_ERR_DEVICE_TYPE = 739,
    VIRTIO_ERR_DEVICE_IDLE = 740,
    VIRTIO_ERR_QUEUE_ACTIVE = 741,
    VIRTIO_ERR_QUEUE_INVALID = 742,
    VIRTIO_ERR_QUEUE_BUSY = 743,
    VIRTIO_ERR_BUFFER_SIZE = 744,
    VIRTIO_ERR_BUFFER_STATE = 745,
    VIRTIO_ERR_ARG_INVALID = 746,
    VIRTIO_ERR_NO_BUFFER = 747,
    VIRTIO_ERR_ALLOC_FULL = 748,
    VIRTIO_ERR_BUFFER_USED = 749,
    VIRTIO_ERR_NO_DESC_AVAIL = 750,
    VIRTIO_ERR_DEQ_CHAIN = 751,
    VIRTIO_ERR_INVALID_RING_INDEX = 752,
    VIRTIO_ERR_BLK_REQ_IOERR = 753,
    VIRTIO_ERR_BLK_REQ_UNSUP = 754,
    XEON_PHI_ERR_MGR_REGISTER_FAILED = 755,
    XEON_PHI_ERR_MGR_MAX_CARDS = 756,
    XEON_PHI_ERR_MSG_NOT_REACHABLE = 757,
    XEON_PHI_ERR_MSG_NOT_INITIALIZED = 758,
    XEON_PHI_ERR_CLIENT_OPEN_REJECT = 759,
    XEON_PHI_ERR_CLIENT_DOMAIN_VOID = 760,
    XEON_PHI_ERR_CLIENT_REGISTER = 761,
    XEON_PHI_ERR_CLIENT_BUSY = 762,
    XEON_PHI_ERR_INVALID_ID = 763,
    DMA_ERR_PCI_ADDRESS = 764,
    DMA_ERR_DEVICE_UNSUPPORTED = 765,
    DMA_ERR_DEVICE_IDLE = 766,
    DMA_ERR_ARG_INVALID = 767,
    DMA_ERR_RESET_TIMEOUT = 768,
    DMA_ERR_NO_DESCRIPTORS = 769,
    DMA_ERR_NO_REQUESTS = 770,
    DMA_ERR_CHAN_ERROR = 771,
    DMA_ERR_CHAN_BUSY = 772,
    DMA_ERR_CHAN_IDLE = 773,
    DMA_ERR_REQUEST_UNFINISHED = 774,
    DMA_ERR_REQUEST_UNSUPPORTED = 775,
    DMA_ERR_REQUEST_TOO_LARGE = 776,
    DMA_ERR_REQUEST_ID = 777,
    DMA_ERR_ALIGNMENT = 778,
    DMA_ERR_MEM_OVERLAP = 779,
    DMA_ERR_MEM_NOT_REGISTERED = 780,
    DMA_ERR_MEM_OUT_OF_RANGE = 781,
    DMA_ERR_SVC_REJECT = 782,
    DMA_ERR_SVC_RESOURCES = 783,
    DMA_ERR_SVC_VOID = 784,
    DMA_ERR_SVC_NO_CONNECTION = 785,
    DMA_ERR_SVC_BUSY = 786,
    XOMP_ERR_INVALID_WORKER_ARGS = 787,
    XOMP_ERR_BAD_INVOCATION = 788,
    XOMP_ERR_INVALID_MSG_FRAME = 789,
    XOMP_ERR_SPAWN_WORKER_FAILED = 790,
    XOMP_ERR_MASTER_NOT_INIT = 791,
    XOMP_ERR_WORKER_INIT_FAILED = 792,
    XOMP_ERR_WORKER_STATE = 793,
    XOMP_ERR_INVALID_MEMORY = 794,
    XOMP_ERR_INVALID_TOKEN = 795,
    XOMP_ERR_INVALID_ARGUMENTS = 796,
    NUMA_ERR_NOT_AVAILABLE = 797,
    NUMA_ERR_BITMAP_PARSE = 798,
    NUMA_ERR_BITMAP_RANGE = 799,
    NUMA_ERR_NUMA_MEMBIND = 800,
    NUMA_ERR_LIB_INIT = 801,
    NUMA_ERR_SKB = 802,
    NUMA_ERR_SKB_DATA = 803,
    NUMA_ERR_NODEID_INVALID = 804,
    NUMA_ERR_COREID_INVALID = 805
};
 
/* Prototypes: */
 
char* err_getcode(errval_t errval);
char* err_getdomain(errval_t errval);
char* err_getstring(errval_t errval);
static inline bool err_is_fail(errval_t errval);
static inline bool err_is_ok(errval_t errval);
static inline enum err_code err_no(errval_t errval);
void err_print_calltrace(errval_t errval);
static inline errval_t err_push(errval_t errval,enum err_code errcode);
 
/* Function Definitions: */
 
static inline bool err_is_fail(errval_t errval) {
    enum err_code _fof_x3;
 
    _fof_x3 = err_no(errval);
    return ((_fof_x3 >= 5));
}
 
static inline bool err_is_ok(errval_t errval) {
    enum err_code _fof_x2;
 
    _fof_x2 = err_no(errval);
    return ((_fof_x2 < 5));
}
 
static inline enum err_code err_no(errval_t errval) {
 
    return (((enum err_code) (errval & ((1 << 10) - 1))));
}
 
static inline errval_t err_push(errval_t errval,enum err_code errcode) {
 
    return (((errval << 10) | ((errval_t) (1023 & errcode))));
}
 
 
 
#endif // ERRNO_BARRELFISH__
